
Redmine - Defect #5961

NoMethodError in Issues#index 

2010-07-26 07:57 - Ali Ma'sum

Status: Closed Start date: 2010-07-26

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

NoMethodError in Issues#index

Showing app/views/issues/_list.rhtml where line #16 raised:

undefined method `-' for nil:NilClass

Extracted source (around line #16):

13:     </tr></thead>

14:     <% previous_group = false >

15:     <tbody>

16:     < issue_list(issues) do |issue, level| ->

17:   < if @query.grouped? && (group = @query.group_by_column.value(issue)) != previous_group >

18:     < reset_cycle %>

19:     <tr class="group open">

Trace of template inclusion: app/views/issues/index.rhtml

RAILS_ROOT: C:/Program Files/BitNami Redmine Stack/apps/redmine

Application Trace | Framework Trace | Full Trace

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:259:in

`leaf?'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:28:in `issue_list'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:23:in `each'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:23:in `issue_list'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/_list.rhtml:16

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/_list.rhtml:1:in

`_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/index.rhtml:62:in

`_run_rhtml_app47views47issues47index46rhtml'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:83

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:82:in `index'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:259:in

`leaf?'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in

`capture'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:129:in

`with_output_buffer'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in

`capture'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:466:in

`form_tag_in_block'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:39:in

`form_tag'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:20:in `render'
C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in

`benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:19:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:44:in

`render_partial'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/partials.rb:184:in `render_partial'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:267:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:265:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:348:in `_render_with_layout'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:262:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1250:in `render_for_file'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:945:in

`render_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in `each'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:107:in

`respond_to'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`perform_action_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in

`process_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/Program Files/BitNami Redmine
Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

C:/Program Files/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in

`call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:259:in

`leaf?'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:28:in `issue_list'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:23:in `each'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/helpers/issues_helper.rb:23:in `issue_list'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/_list.rhtml:16

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in

`capture'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:129:in

`with_output_buffer'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in

`capture'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:466:in

`form_tag_in_block'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:39:in
`form_tag'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/_list.rhtml:1:in

`_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_query'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:20:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in

`benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:19:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:44:in

`render_partial'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/partials.rb:184:in `render_partial'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:267:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/views/issues/index.rhtml:62:in

`_run_rhtml_app47views47issues47index46rhtml'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:265:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:348:in `_render_with_layout'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:262:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1250:in `render_for_file'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:945:in

`render_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:83

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in `each'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:107:in

`respond_to'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:82:in `index'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`perform_action_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'
C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in

`process_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/Program Files/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

C:/Program Files/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in

`call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

Request

Parameters:

{"project_id"=>"sil2004"}
Show session dump

Response

Headers:

{"Content-Type"=>"text/html",

"Cache-Control"=>"no-cache"}

History

#1 - 2010-07-26 08:14 - Azamat Hackimov

- Assignee deleted (Azamat Hackimov)

#2 - 2010-07-26 08:53 - Felix Schäfer

- Status changed from New to Closed

This seems to be a problem with your upgrade, please visit the forums for help with that. Make sure your migrations (rake db:migrate and rake

db:migrate_plugins) all went through well.

#3 - 2010-08-02 15:39 - Nikolay Strokov

- Status changed from Closed to Reopened

Got exactly the same problem after upgrading from 0.9.3 to 1.0.0. rake db:migrate went fine, but in one particular project I get this error. Where should

I look to fix this?

#4 - 2010-08-02 16:29 - Nikolay Strokov

I've found out that the problem was caused by an issue in that project. Somehow this issue was not updated by rake db:migrate and had root_id, lft

and rgt set to nil. After reupdating issues table with a line from migration code everything's fine.

#5 - 2010-08-02 17:19 - Felix Schäfer

- Status changed from Reopened to Closed
